<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <meta name="format-detection" content="telephone=no" />
  <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1" />
  <link rel="stylesheet" type="text/css" href="css/jquery.mobile-1.4.3.min.css" />
  <script type="text/javascript" src="js/jquery-1.11.1.min.js"></script>
  <script type="text/javascript" src="js/jquery.mobile-1.4.3.min.js"></script>
  <title>Exercício</title>
</head>
<body>
<div data-role="page">
  <div data-role="header"><h1></h1></div>
  <div data-role="content"></div>
  <div data-role="footer" data-position="fixed"><h4></h4></div>
</div>
<script>

  $(document).delegate("#paginaListar", "pagecreate", function() {
     renderizarListagem();
  });
  
  function criarItemDaLista(icone, nome, anos){
     return "<li><a href='#'><img src="+icone+"><h2>"+nome+"</h2><p>"+anos+"</p></a></li>";
  }
  
  function renderizarListagem(){
    var titulo = $("[data-role='header'] > h1");
    var conteudo = $("[data-role='content']");
    var rodape = $("[data-role='footer'] > h4");
    $(titulo).empty();
    $(conteudo).empty();
    $(rodape).empty();
    
    var html = "<ul id='lista' data-role='listview' data-inset='true'>";
    $.getJSON("icones.json", function(data){
       $(titulo).append(data.titulo);
       $(rodape).append(data.rodape);

       $.each(data.itens, function(chave, obj) {
         html += criarItemDaLista(obj.icone, obj.nome, obj.anos);
       });
       
       html += "</ul>";
    
      var $content = $("#paginaListar div:jqmData(role=content)");
      $content.html(html);

      var $ul = $content.find("ul");
      $ul.listview(); 
      
    });
       
  }
  
  function renderizarIndex(){
    var titulo = $("[data-role='header'] > h1");
    var conteudo = $("[data-role='content']");
    var rodape = $("[data-role='footer'] > h4");
    $(titulo).empty();
    $(conteudo).empty();
    $(rodape).empty();    
    $.getJSON("index.json", function(data){
       $(titulo).append(data.titulo);
       $(rodape).append(data.rodape);
       
       $.each(data.menuitem, function(chave, obj) {
          $(conteudo).append("<a href='"+obj.href+"' class='ui-btn ui-corner-all'>"+obj.value+"</a>");
       });
    });
  }

  $(document).ready(function(){
      renderizarIndex();
  });
</script>
</body>
</html>
